Skip to main content

Blueprint Manifest API

Service to create and install Blueprint Manifest files

Quick Startโ€‹

# List available operations
epilot blueprint-manifest

# Call an operation
epilot blueprint-manifest getJob -p job_id=4854bb2a-94f9-424d-a968-3fb17fb0bf89

Common Flagsโ€‹

FlagDescription
-p key=valueSet a named parameter
-d '{...}'Request body JSON
-H 'Key: Value'Custom header
-t, --token <token>Bearer token for authentication
--profile <name>Use a named profile
-s, --server <url>Override server base URL
-i, --includeInclude response headers in output
--jsonOutput raw JSON (no formatting)
-v, --verboseVerbose output (show request details)
--jsonata <expr>JSONata expression to transform response
--definition <file>Override OpenAPI spec file/URL
--guidedPrompt for all parameters interactively
--no-interactiveDisable interactive prompts

Operationsโ€‹

Import

  • uploadManifest โ€” Create pre-signed S3 URL to upload a manifest file.

Blueprints

Jobs

uploadManifestโ€‹

Create pre-signed S3 URL to upload a manifest file.

POST /v1/blueprint-manifest:uploadManifest

Request Body

Sample Call

epilot blueprint-manifest uploadManifest \
-d '{"filename":"example.manifest.zip"}'

Using stdin pipe:

cat body.json | epilot blueprint-manifest uploadManifest

With JSONata filter:

epilot blueprint-manifest uploadManifest --jsonata 's3ref'
Sample Response
{
"s3ref": {
"bucket": "blueprint-manifest-prod-blueprintsv2bucket-sybpsryropzw",
"key": "templates/main.tf"
},
"upload_url": "https://epilot-dev-blueprints.s3.eu-central-1.amazonaws.com/templates/document.pdf"
}

listBlueprintsโ€‹

List Custom and Installed Blueprints

GET /v2/blueprint-manifest/blueprints

Parameters

NameInTypeRequiredDescription
archivedquerybooleanNoFilter blueprints by archived status. If true, returns only archived blueprints. If false or not provided, returns only non-archived blueprints.

Sample Call

epilot blueprint-manifest listBlueprints

With JSONata filter:

epilot blueprint-manifest listBlueprints --jsonata 'results[0]'
Sample Response
{
"total": 1,
"results": [
{
"id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"title": "string",
"slug": "string",
"description": {
"preinstall": "This is the content of the preinstall.md file which contains the blueprint description.\n",
"postinstall": "This is the content of the postinstall.md file\n"
},
"version": "string",
"deployments": [
{
"source_org_id": "string",
"source_blueprint_id": "string",
"destination_org_id": "string",
"destination_blueprint_id": "string",
"triggered_at": "1970-01-01T00:00:00.000Z"
}
],
"is_verified": true,
"installation_status": "IN_PROGRESS",
"created_at": "1970-01-01T00:00:00.000Z",
"updated_at": "1970-01-01T00:00:00.000Z",
"created_by": {
"name": "manifest@epilot.cloud",
"org_id": "911690",
"user_id": "11001045",
"token_id": "api_5ZugdRXasLfWBypHi93Fk"
},
"updated_by": {
"name": "manifest@epilot.cloud",
"org_id": "911690",
"user_id": "11001045",
"token_id": "api_5ZugdRXasLfWBypHi93Fk"
},
"installation_job_ids": ["c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341"],
"source_blueprint_id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"archived": false,
"docs_url": "string",
"recommended_apps": ["string"],
"required_features": {
"enabled": ["string"],
"disabled": ["string"]
},
"zip_file_name": "string",
"resources": [
{
"id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"name": "string",
"type": "designbuilder",
"address": "string",
"is_root": true,
"is_ready": true,
"is_hidden": true,
"is_disabled": false,
"hard_dependencies": ["designbuilder"],
"parent_resource_ids": ["c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341"],
"depends_on_addresses": ["string"],
"impact_on_install": ["create"],
"impact_on_install_reason": ["string"]
}
],
"source_type": "string"
}
]
}

createBlueprintโ€‹

Create a Blueprint

POST /v2/blueprint-manifest/blueprints

Request Body

Sample Call

epilot blueprint-manifest createBlueprint

With request body:

epilot blueprint-manifest createBlueprint \
-d '{
"id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"title": "string",
"slug": "string",
"description": {
"preinstall": "This is the content of the preinstall.md file which contains the blueprint description.\n",
"postinstall": "This is the content of the postinstall.md file\n"
},
"version": "string",
"deployments": [
{
"source_org_id": "string",
"source_blueprint_id": "string",
"destination_org_id": "string",
"destination_blueprint_id": "string",
"triggered_at": "1970-01-01T00:00:00.000Z"
}
],
"is_verified": true,
"installation_status": "IN_PROGRESS",
"created_at": "1970-01-01T00:00:00.000Z",
"updated_at": "1970-01-01T00:00:00.000Z",
"created_by": {
"name": "manifest@epilot.cloud",
"org_id": "911690",
"user_id": "11001045",
"token_id": "api_5ZugdRXasLfWBypHi93Fk"
},
"updated_by": {
"name": "manifest@epilot.cloud",
"org_id": "911690",
"user_id": "11001045",
"token_id": "api_5ZugdRXasLfWBypHi93Fk"
},
"installation_job_ids": ["c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341"],
"source_blueprint_id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"archived": false,
"docs_url": "string",
"recommended_apps": ["string"],
"required_features": {
"enabled": ["string"],
"disabled": ["string"]
},
"zip_file_name": "string",
"resources": [
{
"id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"name": "string",
"type": "designbuilder",
"address": "string",
"is_root": true,
"is_ready": true,
"is_hidden": true,
"is_disabled": false,
"hard_dependencies": ["designbuilder"],
"parent_resource_ids": ["c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341"],
"depends_on_addresses": ["string"],
"impact_on_install": ["create"],
"impact_on_install_reason": ["string"]
}
],
"source_type": "string"
}'

Using stdin pipe:

cat body.json | epilot blueprint-manifest createBlueprint

With JSONata filter:

epilot blueprint-manifest createBlueprint --jsonata '$'
Sample Response
{
"id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"title": "string",
"slug": "string",
"description": {
"preinstall": "This is the content of the preinstall.md file which contains the blueprint description.\n",
"postinstall": "This is the content of the postinstall.md file\n"
},
"version": "string",
"deployments": [
{
"source_org_id": "string",
"source_blueprint_id": "string",
"destination_org_id": "string",
"destination_blueprint_id": "string",
"triggered_at": "1970-01-01T00:00:00.000Z"
}
],
"is_verified": true,
"installation_status": "IN_PROGRESS",
"created_at": "1970-01-01T00:00:00.000Z",
"updated_at": "1970-01-01T00:00:00.000Z",
"created_by": {
"name": "manifest@epilot.cloud",
"org_id": "911690",
"user_id": "11001045",
"token_id": "api_5ZugdRXasLfWBypHi93Fk"
},
"updated_by": {
"name": "manifest@epilot.cloud",
"org_id": "911690",
"user_id": "11001045",
"token_id": "api_5ZugdRXasLfWBypHi93Fk"
},
"installation_job_ids": ["c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341"],
"source_blueprint_id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"archived": false,
"docs_url": "string",
"recommended_apps": ["string"],
"required_features": {
"enabled": ["string"],
"disabled": ["string"]
},
"zip_file_name": "string",
"resources": [
{
"id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"name": "string",
"type": "designbuilder",
"address": "string",
"is_root": true,
"is_ready": true,
"is_hidden": true,
"is_disabled": false,
"hard_dependencies": ["designbuilder"],
"parent_resource_ids": ["c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341"],
"depends_on_addresses": ["string"],
"impact_on_install": ["create"],
"impact_on_install_reason": ["string"]
}
],
"source_type": "string"
}

listInstalledMarketplaceBlueprintsโ€‹

List installed Marketplace Blueprints for the organization.

GET /v2/blueprint-manifest/blueprints:marketplace

Sample Call

epilot blueprint-manifest listInstalledMarketplaceBlueprints

With JSONata filter:

epilot blueprint-manifest listInstalledMarketplaceBlueprints --jsonata 'results[0]'
Sample Response
{
"total": 1,
"results": [
{
"id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"slug": "solar-b2b",
"version": "v1.0.0",
"created_at": "1970-01-01T00:00:00.000Z",
"created_by": {
"name": "manifest@epilot.cloud",
"org_id": "911690",
"user_id": "11001045",
"token_id": "api_5ZugdRXasLfWBypHi93Fk"
},
"updated_at": "1970-01-01T00:00:00.000Z",
"updated_by": {
"name": "manifest@epilot.cloud",
"org_id": "911690",
"user_id": "11001045",
"token_id": "api_5ZugdRXasLfWBypHi93Fk"
},
"has_update_available": true,
"latest_marketplace_version": "v2.0.0",
"installation_link": "string"
}
]
}

preInstallBlueprintโ€‹

Pre-install a Blueprint based on a blueprint file

POST /v2/blueprint-manifest/blueprints:pre-install

Request Body

Sample Call

epilot blueprint-manifest preInstallBlueprint \
-d '{"blueprint_file":"string","source_blueprint_type":"marketplace","slug":"string"}'

Using stdin pipe:

cat body.json | epilot blueprint-manifest preInstallBlueprint

With JSONata filter:

epilot blueprint-manifest preInstallBlueprint --jsonata 'id'
Sample Response
{
"id": "string",
"org_id": "string",
"title": "string",
"description": {
"preinstall": "string"
},
"version": "string",
"slug": "string",
"source_type": "marketplace",
"blueprint_file_s3_key": "string",
"is_verified": true,
"docs_url": "string",
"recommended_apps": ["string"],
"created_at": "1970-01-01T00:00:00.000Z",
"created_by": {
"name": "manifest@epilot.cloud",
"org_id": "911690",
"user_id": "11001045",
"token_id": "api_5ZugdRXasLfWBypHi93Fk"
},
"is_updating": true,
"resources": [
{
"id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"name": "string",
"type": "designbuilder",
"address": "string",
"is_root": true,
"is_ready": true,
"is_hidden": true,
"is_disabled": false,
"hard_dependencies": ["designbuilder"],
"parent_resource_ids": ["c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341"],
"depends_on_addresses": ["string"],
"impact_on_install": ["create"],
"impact_on_install_reason": ["string"]
}
]
}

getBlueprintPreviewโ€‹

Get Blueprint Preview by ID

GET /v2/blueprint-manifest/blueprints:preview/{preview_id}

Parameters

NameInTypeRequiredDescription
preview_idpathstringYes

Sample Call

epilot blueprint-manifest getBlueprintPreview \
-p preview_id=123e4567-e89b-12d3-a456-426614174000

Using positional args for path parameters:

epilot blueprint-manifest getBlueprintPreview 123e4567-e89b-12d3-a456-426614174000

With JSONata filter:

epilot blueprint-manifest getBlueprintPreview -p preview_id=123e4567-e89b-12d3-a456-426614174000 --jsonata 'id'
Sample Response
{
"id": "string",
"org_id": "string",
"title": "string",
"description": {
"preinstall": "string"
},
"version": "string",
"slug": "string",
"source_type": "marketplace",
"blueprint_file_s3_key": "string",
"is_verified": true,
"docs_url": "string",
"recommended_apps": ["string"],
"created_at": "1970-01-01T00:00:00.000Z",
"created_by": {
"name": "manifest@epilot.cloud",
"org_id": "911690",
"user_id": "11001045",
"token_id": "api_5ZugdRXasLfWBypHi93Fk"
},
"is_updating": true,
"resources": [
{
"id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"name": "string",
"type": "designbuilder",
"address": "string",
"is_root": true,
"is_ready": true,
"is_hidden": true,
"is_disabled": false,
"hard_dependencies": ["designbuilder"],
"parent_resource_ids": ["c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341"],
"depends_on_addresses": ["string"],
"impact_on_install": ["create"],
"impact_on_install_reason": ["string"]
}
]
}

installBlueprintโ€‹

Kick off a new blueprint installation job. Returns 202 Accepted with Location header pointing to the job resource

POST /v2/blueprint-manifest/blueprint:install

Request Body (required)

Sample Call

epilot blueprint-manifest installBlueprint

With request body:

epilot blueprint-manifest installBlueprint \
-d '{
"source_org_id": "string",
"source_blueprint_id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"source_blueprint_file": "string",
"destination_org_id": "string",
"destination_blueprint_id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"options": {
"resources_to_ignore": ["string"]
},
"mode": "simple",
"source_blueprint_type": "marketplace",
"slug": "string"
}'

Using stdin pipe:

cat body.json | epilot blueprint-manifest installBlueprint

With JSONata filter:

epilot blueprint-manifest installBlueprint --jsonata '$'

getBlueprintโ€‹

Get Blueprint by ID

GET /v2/blueprint-manifest/blueprints/{blueprint_id}

Parameters

NameInTypeRequiredDescription
blueprint_idpathstringYes

Sample Call

epilot blueprint-manifest getBlueprint \
-p blueprint_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341

Using positional args for path parameters:

epilot blueprint-manifest getBlueprint c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341

With JSONata filter:

epilot blueprint-manifest getBlueprint -p blueprint_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341 --jsonata '$'
Sample Response
{
"id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"title": "string",
"slug": "string",
"description": {
"preinstall": "This is the content of the preinstall.md file which contains the blueprint description.\n",
"postinstall": "This is the content of the postinstall.md file\n"
},
"version": "string",
"deployments": [
{
"source_org_id": "string",
"source_blueprint_id": "string",
"destination_org_id": "string",
"destination_blueprint_id": "string",
"triggered_at": "1970-01-01T00:00:00.000Z"
}
],
"is_verified": true,
"installation_status": "IN_PROGRESS",
"created_at": "1970-01-01T00:00:00.000Z",
"updated_at": "1970-01-01T00:00:00.000Z",
"created_by": {
"name": "manifest@epilot.cloud",
"org_id": "911690",
"user_id": "11001045",
"token_id": "api_5ZugdRXasLfWBypHi93Fk"
},
"updated_by": {
"name": "manifest@epilot.cloud",
"org_id": "911690",
"user_id": "11001045",
"token_id": "api_5ZugdRXasLfWBypHi93Fk"
},
"installation_job_ids": ["c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341"],
"source_blueprint_id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"archived": false,
"docs_url": "string",
"recommended_apps": ["string"],
"required_features": {
"enabled": ["string"],
"disabled": ["string"]
},
"zip_file_name": "string",
"resources": [
{
"id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"name": "string",
"type": "designbuilder",
"address": "string",
"is_root": true,
"is_ready": true,
"is_hidden": true,
"is_disabled": false,
"hard_dependencies": ["designbuilder"],
"parent_resource_ids": ["c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341"],
"depends_on_addresses": ["string"],
"impact_on_install": ["create"],
"impact_on_install_reason": ["string"]
}
],
"source_type": "string"
}

updateBlueprintโ€‹

Update a Blueprint

PUT /v2/blueprint-manifest/blueprints/{blueprint_id}

Parameters

NameInTypeRequiredDescription
blueprint_idpathstringYes

Request Body

Sample Call

epilot blueprint-manifest updateBlueprint \
-p blueprint_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341

With request body:

epilot blueprint-manifest updateBlueprint \
-p blueprint_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341 \
-d '{
"id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"title": "string",
"slug": "string",
"description": {
"preinstall": "This is the content of the preinstall.md file which contains the blueprint description.\n",
"postinstall": "This is the content of the postinstall.md file\n"
},
"version": "string",
"deployments": [
{
"source_org_id": "string",
"source_blueprint_id": "string",
"destination_org_id": "string",
"destination_blueprint_id": "string",
"triggered_at": "1970-01-01T00:00:00.000Z"
}
],
"is_verified": true,
"installation_status": "IN_PROGRESS",
"created_at": "1970-01-01T00:00:00.000Z",
"updated_at": "1970-01-01T00:00:00.000Z",
"created_by": {
"name": "manifest@epilot.cloud",
"org_id": "911690",
"user_id": "11001045",
"token_id": "api_5ZugdRXasLfWBypHi93Fk"
},
"updated_by": {
"name": "manifest@epilot.cloud",
"org_id": "911690",
"user_id": "11001045",
"token_id": "api_5ZugdRXasLfWBypHi93Fk"
},
"installation_job_ids": ["c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341"],
"source_blueprint_id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"archived": false,
"docs_url": "string",
"recommended_apps": ["string"],
"required_features": {
"enabled": ["string"],
"disabled": ["string"]
},
"zip_file_name": "string",
"resources": [
{
"id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"name": "string",
"type": "designbuilder",
"address": "string",
"is_root": true,
"is_ready": true,
"is_hidden": true,
"is_disabled": false,
"hard_dependencies": ["designbuilder"],
"parent_resource_ids": ["c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341"],
"depends_on_addresses": ["string"],
"impact_on_install": ["create"],
"impact_on_install_reason": ["string"]
}
],
"source_type": "string"
}'

Using positional args for path parameters:

epilot blueprint-manifest updateBlueprint c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341

Using stdin pipe:

cat body.json | epilot blueprint-manifest updateBlueprint -p blueprint_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341

With JSONata filter:

epilot blueprint-manifest updateBlueprint -p blueprint_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341 --jsonata '$'
Sample Response
{
"id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"title": "string",
"slug": "string",
"description": {
"preinstall": "This is the content of the preinstall.md file which contains the blueprint description.\n",
"postinstall": "This is the content of the postinstall.md file\n"
},
"version": "string",
"deployments": [
{
"source_org_id": "string",
"source_blueprint_id": "string",
"destination_org_id": "string",
"destination_blueprint_id": "string",
"triggered_at": "1970-01-01T00:00:00.000Z"
}
],
"is_verified": true,
"installation_status": "IN_PROGRESS",
"created_at": "1970-01-01T00:00:00.000Z",
"updated_at": "1970-01-01T00:00:00.000Z",
"created_by": {
"name": "manifest@epilot.cloud",
"org_id": "911690",
"user_id": "11001045",
"token_id": "api_5ZugdRXasLfWBypHi93Fk"
},
"updated_by": {
"name": "manifest@epilot.cloud",
"org_id": "911690",
"user_id": "11001045",
"token_id": "api_5ZugdRXasLfWBypHi93Fk"
},
"installation_job_ids": ["c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341"],
"source_blueprint_id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"archived": false,
"docs_url": "string",
"recommended_apps": ["string"],
"required_features": {
"enabled": ["string"],
"disabled": ["string"]
},
"zip_file_name": "string",
"resources": [
{
"id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"name": "string",
"type": "designbuilder",
"address": "string",
"is_root": true,
"is_ready": true,
"is_hidden": true,
"is_disabled": false,
"hard_dependencies": ["designbuilder"],
"parent_resource_ids": ["c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341"],
"depends_on_addresses": ["string"],
"impact_on_install": ["create"],
"impact_on_install_reason": ["string"]
}
],
"source_type": "string"
}

deleteBlueprintโ€‹

Delete a Blueprint

DELETE /v2/blueprint-manifest/blueprints/{blueprint_id}

Parameters

NameInTypeRequiredDescription
blueprint_idpathstringYes

Sample Call

epilot blueprint-manifest deleteBlueprint \
-p blueprint_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341

Using positional args for path parameters:

epilot blueprint-manifest deleteBlueprint c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341

With JSONata filter:

epilot blueprint-manifest deleteBlueprint -p blueprint_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341 --jsonata '$'
Sample Response
{
"id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"title": "string",
"slug": "string",
"description": {
"preinstall": "This is the content of the preinstall.md file which contains the blueprint description.\n",
"postinstall": "This is the content of the postinstall.md file\n"
},
"version": "string",
"deployments": [
{
"source_org_id": "string",
"source_blueprint_id": "string",
"destination_org_id": "string",
"destination_blueprint_id": "string",
"triggered_at": "1970-01-01T00:00:00.000Z"
}
],
"is_verified": true,
"installation_status": "IN_PROGRESS",
"created_at": "1970-01-01T00:00:00.000Z",
"updated_at": "1970-01-01T00:00:00.000Z",
"created_by": {
"name": "manifest@epilot.cloud",
"org_id": "911690",
"user_id": "11001045",
"token_id": "api_5ZugdRXasLfWBypHi93Fk"
},
"updated_by": {
"name": "manifest@epilot.cloud",
"org_id": "911690",
"user_id": "11001045",
"token_id": "api_5ZugdRXasLfWBypHi93Fk"
},
"installation_job_ids": ["c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341"],
"source_blueprint_id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"archived": false,
"docs_url": "string",
"recommended_apps": ["string"],
"required_features": {
"enabled": ["string"],
"disabled": ["string"]
},
"zip_file_name": "string",
"resources": [
{
"id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"name": "string",
"type": "designbuilder",
"address": "string",
"is_root": true,
"is_ready": true,
"is_hidden": true,
"is_disabled": false,
"hard_dependencies": ["designbuilder"],
"parent_resource_ids": ["c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341"],
"depends_on_addresses": ["string"],
"impact_on_install": ["create"],
"impact_on_install_reason": ["string"]
}
],
"source_type": "string"
}

validateBlueprintโ€‹

Start a blueprint validation job. Validates Terraform for the blueprint (all types).

POST /v2/blueprint-manifest/blueprints/{blueprint_id}/validate

Parameters

NameInTypeRequiredDescription
blueprint_idpathstringYes

Sample Call

epilot blueprint-manifest validateBlueprint \
-p blueprint_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341

Using positional args for path parameters:

epilot blueprint-manifest validateBlueprint c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341

With JSONata filter:

epilot blueprint-manifest validateBlueprint -p blueprint_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341 --jsonata '$'

exportBlueprintโ€‹

Kick off a new blueprint export job. Returns 202 Accepted with Location header pointing to the job resource.

POST /v2/blueprint-manifest/blueprints/{blueprint_id}:export

Parameters

NameInTypeRequiredDescription
blueprint_idpathstringYes

Request Body

Sample Call

epilot blueprint-manifest exportBlueprint \
-p blueprint_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341 \
-d '{"destination_org_id":"string","destination_blueprint_id":"string","validate":true}'

Using positional args for path parameters:

epilot blueprint-manifest exportBlueprint c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341

Using stdin pipe:

cat body.json | epilot blueprint-manifest exportBlueprint -p blueprint_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341

With JSONata filter:

epilot blueprint-manifest exportBlueprint -p blueprint_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341 --jsonata '$'

formatBlueprintDescriptionโ€‹

Format a blueprint description as markdown using AI.

POST /v2/blueprint-manifest/blueprints/{blueprint_id}:format-description

Parameters

NameInTypeRequiredDescription
blueprint_idpathstringYes

Request Body (required)

Sample Call

epilot blueprint-manifest formatBlueprintDescription \
-p blueprint_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341 \
-d '{"text":"string"}'

Using positional args for path parameters:

epilot blueprint-manifest formatBlueprintDescription c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341

Using stdin pipe:

cat body.json | epilot blueprint-manifest formatBlueprintDescription -p blueprint_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341

With JSONata filter:

epilot blueprint-manifest formatBlueprintDescription -p blueprint_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341 --jsonata 'markdown'
Sample Response
{
"markdown": "string"
}

addBlueprintResourceโ€‹

Add a resource to a Blueprint

POST /v2/blueprint-manifest/blueprints/{blueprint_id}/resources

Parameters

NameInTypeRequiredDescription
blueprint_idpathstringYes
add_dependenciesquerybooleanNo

Request Body

Sample Call

epilot blueprint-manifest addBlueprintResource \
-p blueprint_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341

With request body:

epilot blueprint-manifest addBlueprintResource \
-p blueprint_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341 \
-d '{
"id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"name": "string",
"type": "designbuilder",
"address": "string",
"is_root": true,
"is_ready": true,
"is_hidden": true,
"is_disabled": false,
"hard_dependencies": ["designbuilder"],
"parent_resource_ids": ["c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341"],
"depends_on_addresses": ["string"],
"impact_on_install": ["create"],
"impact_on_install_reason": ["string"]
}'

Using positional args for path parameters:

epilot blueprint-manifest addBlueprintResource c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341

Using stdin pipe:

cat body.json | epilot blueprint-manifest addBlueprintResource -p blueprint_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341

With JSONata filter:

epilot blueprint-manifest addBlueprintResource -p blueprint_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341 --jsonata 'resources'
Sample Response
{
"resources": [
{
"id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"name": "string",
"type": "designbuilder",
"address": "string",
"is_root": true,
"is_ready": true,
"is_hidden": true,
"is_disabled": false,
"hard_dependencies": ["designbuilder"],
"parent_resource_ids": ["c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341"],
"depends_on_addresses": ["string"],
"impact_on_install": ["create"],
"impact_on_install_reason": ["string"]
}
]
}

syncDependenciesโ€‹

Sync dependencies of all root resources in a Blueprint

POST /v2/blueprint-manifest/blueprints/{blueprint_id}/resources:syncDependencies

Parameters

NameInTypeRequiredDescription
blueprint_idpathstringYes

Sample Call

epilot blueprint-manifest syncDependencies \
-p blueprint_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341

Using positional args for path parameters:

epilot blueprint-manifest syncDependencies c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341

With JSONata filter:

epilot blueprint-manifest syncDependencies -p blueprint_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341 --jsonata '$'

bulkAddBlueprintResourcesโ€‹

Bulk Add resources in a Blueprint

POST /v2/blueprint-manifest/blueprints/{blueprint_id}/resources/bulk

Parameters

NameInTypeRequiredDescription
blueprint_idpathstringYes
add_dependenciesquerybooleanNo

Request Body

Sample Call

epilot blueprint-manifest bulkAddBlueprintResources \
-p blueprint_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341

With request body:

epilot blueprint-manifest bulkAddBlueprintResources \
-p blueprint_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341 \
-d '[
{
"id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"name": "string",
"type": "designbuilder",
"address": "string",
"is_root": true,
"is_ready": true,
"is_hidden": true,
"is_disabled": false,
"hard_dependencies": ["designbuilder"],
"parent_resource_ids": ["c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341"],
"depends_on_addresses": ["string"],
"impact_on_install": ["create"],
"impact_on_install_reason": ["string"]
}
]'

Using positional args for path parameters:

epilot blueprint-manifest bulkAddBlueprintResources c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341

Using stdin pipe:

cat body.json | epilot blueprint-manifest bulkAddBlueprintResources -p blueprint_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341

With JSONata filter:

epilot blueprint-manifest bulkAddBlueprintResources -p blueprint_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341 --jsonata 'resources'
Sample Response
{
"resources": [
{
"id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"name": "string",
"type": "designbuilder",
"address": "string",
"is_root": true,
"is_ready": true,
"is_hidden": true,
"is_disabled": false,
"hard_dependencies": ["designbuilder"],
"parent_resource_ids": ["c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341"],
"depends_on_addresses": ["string"],
"impact_on_install": ["create"],
"impact_on_install_reason": ["string"]
}
]
}

bulkUpdateBlueprintResourcesโ€‹

Bulk update resources in a Blueprint

PUT /v2/blueprint-manifest/blueprints/{blueprint_id}/resources/bulk

Parameters

NameInTypeRequiredDescription
blueprint_idpathstringYes

Request Body

Sample Call

epilot blueprint-manifest bulkUpdateBlueprintResources \
-p blueprint_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341

With request body:

epilot blueprint-manifest bulkUpdateBlueprintResources \
-p blueprint_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341 \
-d '[
{
"id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"name": "string",
"type": "designbuilder",
"address": "string",
"is_root": true,
"is_ready": true,
"is_hidden": true,
"is_disabled": false,
"hard_dependencies": ["designbuilder"],
"parent_resource_ids": ["c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341"],
"depends_on_addresses": ["string"],
"impact_on_install": ["create"],
"impact_on_install_reason": ["string"]
}
]'

Using positional args for path parameters:

epilot blueprint-manifest bulkUpdateBlueprintResources c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341

Using stdin pipe:

cat body.json | epilot blueprint-manifest bulkUpdateBlueprintResources -p blueprint_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341

With JSONata filter:

epilot blueprint-manifest bulkUpdateBlueprintResources -p blueprint_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341 --jsonata 'resources'
Sample Response
{
"resources": [
{
"id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"name": "string",
"type": "designbuilder",
"address": "string",
"is_root": true,
"is_ready": true,
"is_hidden": true,
"is_disabled": false,
"hard_dependencies": ["designbuilder"],
"parent_resource_ids": ["c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341"],
"depends_on_addresses": ["string"],
"impact_on_install": ["create"],
"impact_on_install_reason": ["string"]
}
]
}

bulkDeleteBlueprintResourcesโ€‹

Bulk delete resources in a Blueprint

DELETE /v2/blueprint-manifest/blueprints/{blueprint_id}/resources/bulk

Parameters

NameInTypeRequiredDescription
blueprint_idpathstringYes

Request Body

Sample Call

epilot blueprint-manifest bulkDeleteBlueprintResources \
-p blueprint_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341 \
-d '["c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341"]'

Using positional args for path parameters:

epilot blueprint-manifest bulkDeleteBlueprintResources c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341

Using stdin pipe:

cat body.json | epilot blueprint-manifest bulkDeleteBlueprintResources -p blueprint_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341

With JSONata filter:

epilot blueprint-manifest bulkDeleteBlueprintResources -p blueprint_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341 --jsonata 'resources'
Sample Response
{
"resources": [
{
"id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"name": "string",
"type": "designbuilder",
"address": "string",
"is_root": true,
"is_ready": true,
"is_hidden": true,
"is_disabled": false,
"hard_dependencies": ["designbuilder"],
"parent_resource_ids": ["c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341"],
"depends_on_addresses": ["string"],
"impact_on_install": ["create"],
"impact_on_install_reason": ["string"]
}
]
}

updateBlueprintResourceโ€‹

Update a resource in a Blueprint

PUT /v2/blueprint-manifest/blueprints/{blueprint_id}/resources/{resource_id}

Parameters

NameInTypeRequiredDescription
blueprint_idpathstringYes
resource_idpathstringYes

Request Body

Sample Call

epilot blueprint-manifest updateBlueprintResource \
-p blueprint_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341 \
-p resource_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341

With request body:

epilot blueprint-manifest updateBlueprintResource \
-p blueprint_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341 \
-p resource_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341 \
-d '{
"id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"name": "string",
"type": "designbuilder",
"address": "string",
"is_root": true,
"is_ready": true,
"is_hidden": true,
"is_disabled": false,
"hard_dependencies": ["designbuilder"],
"parent_resource_ids": ["c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341"],
"depends_on_addresses": ["string"],
"impact_on_install": ["create"],
"impact_on_install_reason": ["string"]
}'

Using positional args for path parameters:

epilot blueprint-manifest updateBlueprintResource c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341 c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341

Using stdin pipe:

cat body.json | epilot blueprint-manifest updateBlueprintResource -p blueprint_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341 -p resource_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341

With JSONata filter:

epilot blueprint-manifest updateBlueprintResource -p blueprint_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341 -p resource_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341 --jsonata 'resources'
Sample Response
{
"resources": [
{
"id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"name": "string",
"type": "designbuilder",
"address": "string",
"is_root": true,
"is_ready": true,
"is_hidden": true,
"is_disabled": false,
"hard_dependencies": ["designbuilder"],
"parent_resource_ids": ["c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341"],
"depends_on_addresses": ["string"],
"impact_on_install": ["create"],
"impact_on_install_reason": ["string"]
}
]
}

deleteBlueprintResourceโ€‹

Delete a resource from a Blueprint

DELETE /v2/blueprint-manifest/blueprints/{blueprint_id}/resources/{resource_id}

Parameters

NameInTypeRequiredDescription
blueprint_idpathstringYes
resource_idpathstringYes

Sample Call

epilot blueprint-manifest deleteBlueprintResource \
-p blueprint_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341 \
-p resource_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341

Using positional args for path parameters:

epilot blueprint-manifest deleteBlueprintResource c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341 c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341

With JSONata filter:

epilot blueprint-manifest deleteBlueprintResource -p blueprint_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341 -p resource_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341 --jsonata 'resources'
Sample Response
{
"resources": [
{
"id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"name": "string",
"type": "designbuilder",
"address": "string",
"is_root": true,
"is_ready": true,
"is_hidden": true,
"is_disabled": false,
"hard_dependencies": ["designbuilder"],
"parent_resource_ids": ["c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341"],
"depends_on_addresses": ["string"],
"impact_on_install": ["create"],
"impact_on_install_reason": ["string"]
}
]
}

listBlueprintJobsโ€‹

List all blueprint jobs

GET /v2/blueprint-manifest/jobs

Sample Call

epilot blueprint-manifest listBlueprintJobs

With JSONata filter:

epilot blueprint-manifest listBlueprintJobs --jsonata 'results[0]'
Sample Response
{
"total": 1,
"results": [
{
"id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"events": [
{
"timestamp": "1970-01-01T00:00:00.000Z",
"message": "string",
"errors": [
{
"error": "string",
"code": "dependency_extraction",
"data": {
"formattedResource": {
"id": "string",
"name": "string",
"type": "string"
},
"resource": "string",
"resourceDependency": "string",
"resources": ["string"],
"addresses": ["string"],
"originalError": "string"
}
}
],
"level": "info",
"data": {
"installed_blueprint_id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"export_job_id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"resources": 0
}
}
],
"triggered_at": "1970-01-01T00:00:00.000Z",
"created_by": {
"name": "manifest@epilot.cloud",
"org_id": "911690",
"user_id": "11001045",
"token_id": "api_5ZugdRXasLfWBypHi93Fk"
},
"blueprint_id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"status": "IN_PROGRESS",
"download_file": {
"bucket": "blueprint-manifest-prod-blueprintsv2bucket-sybpsryropzw",
"key": "templates/main.tf"
}
}
]
}

getBlueprintJobโ€‹

Poll current state of a job.

GET /v2/blueprint-manifest/jobs/{job_id}

Parameters

NameInTypeRequiredDescription
job_idpathstringYes

Sample Call

epilot blueprint-manifest getBlueprintJob \
-p job_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341

Using positional args for path parameters:

epilot blueprint-manifest getBlueprintJob c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341

With JSONata filter:

epilot blueprint-manifest getBlueprintJob -p job_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341 --jsonata '$'
Sample Response
{
"id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"events": [
{
"timestamp": "1970-01-01T00:00:00.000Z",
"message": "string",
"errors": [
{
"error": "string",
"code": "dependency_extraction",
"data": {
"formattedResource": {
"id": "string",
"name": "string",
"type": "string"
},
"resource": "string",
"resourceDependency": "string",
"resources": ["string"],
"addresses": ["string"],
"originalError": "string"
}
}
],
"level": "info",
"data": {
"installed_blueprint_id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"export_job_id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"resources": 0
}
}
],
"triggered_at": "1970-01-01T00:00:00.000Z",
"created_by": {
"name": "manifest@epilot.cloud",
"org_id": "911690",
"user_id": "11001045",
"token_id": "api_5ZugdRXasLfWBypHi93Fk"
},
"blueprint_id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"status": "IN_PROGRESS",
"download_file": {
"bucket": "blueprint-manifest-prod-blueprintsv2bucket-sybpsryropzw",
"key": "templates/main.tf"
}
}

continueInstallationJobโ€‹

Continue an installation job if it is waiting for user action.

POST /v2/blueprint-manifest/jobs/{job_id}:continue

Parameters

NameInTypeRequiredDescription
job_idpathstringYes

Request Body

Sample Call

epilot blueprint-manifest continueInstallationJob \
-p job_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341 \
-d '{"resources_to_ignore":["string"]}'

Using positional args for path parameters:

epilot blueprint-manifest continueInstallationJob c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341

Using stdin pipe:

cat body.json | epilot blueprint-manifest continueInstallationJob -p job_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341

With JSONata filter:

epilot blueprint-manifest continueInstallationJob -p job_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341 --jsonata '$'
Sample Response
{
"id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"events": [
{
"timestamp": "1970-01-01T00:00:00.000Z",
"message": "string",
"errors": [
{
"error": "string",
"code": "dependency_extraction",
"data": {
"formattedResource": {
"id": "string",
"name": "string",
"type": "string"
},
"resource": "string",
"resourceDependency": "string",
"resources": ["string"],
"addresses": ["string"],
"originalError": "string"
}
}
],
"level": "info",
"data": {
"installed_blueprint_id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"export_job_id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"resources": 0
}
}
],
"triggered_at": "1970-01-01T00:00:00.000Z",
"created_by": {
"name": "manifest@epilot.cloud",
"org_id": "911690",
"user_id": "11001045",
"token_id": "api_5ZugdRXasLfWBypHi93Fk"
},
"source_blueprint_id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"source_blueprint_type": "custom",
"source_org_id": "string",
"source_blueprint_file": "string",
"destination_blueprint_id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"destination_org_id": "string",
"slug": "string",
"status": "IN_PROGRESS"
}

cancelBlueprintJobโ€‹

Cancel a blueprint job if it is still running.

POST /v2/blueprint-manifest/jobs/{job_id}:cancel

Parameters

NameInTypeRequiredDescription
job_idpathstringYes

Sample Call

epilot blueprint-manifest cancelBlueprintJob \
-p job_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341

Using positional args for path parameters:

epilot blueprint-manifest cancelBlueprintJob c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341

With JSONata filter:

epilot blueprint-manifest cancelBlueprintJob -p job_id=c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341 --jsonata '$'
Sample Response
{
"id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"events": [
{
"timestamp": "1970-01-01T00:00:00.000Z",
"message": "string",
"errors": [
{
"error": "string",
"code": "dependency_extraction",
"data": {
"formattedResource": {
"id": "string",
"name": "string",
"type": "string"
},
"resource": "string",
"resourceDependency": "string",
"resources": ["string"],
"addresses": ["string"],
"originalError": "string"
}
}
],
"level": "info",
"data": {
"installed_blueprint_id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"export_job_id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"resources": 0
}
}
],
"triggered_at": "1970-01-01T00:00:00.000Z",
"created_by": {
"name": "manifest@epilot.cloud",
"org_id": "911690",
"user_id": "11001045",
"token_id": "api_5ZugdRXasLfWBypHi93Fk"
},
"blueprint_id": "c2d6cac8-bdd5-4ea2-8a6c-1cbdbe77b341",
"status": "IN_PROGRESS",
"download_file": {
"bucket": "blueprint-manifest-prod-blueprintsv2bucket-sybpsryropzw",
"key": "templates/main.tf"
}
}